import { defHttp } from '/@/utils/http/axios';
import { session } from "/@/utils/Memory.js";

enum Api {
    GetSms = '/base-center/sms/getSms'
}

/**
 * @description:查询当前用户消息
 */
export function getSmsByUserId() {
    let params = {
        userid:session.getItem('userId')
    }
    return new Promise<void>((resolve, reject) => {
        defHttp.post({ url: Api.GetSms, params })
            .then((r) => {
                resolve(r);
            }).
            catch((e) => {
                reject(e);
            })
    })
}